# Generated from buff-ignore-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name buff-ignore

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: A Ruby library for parsing lists of files and applying pattern matching exclusion (such as .gitignore)
License: Apache 2.0
URL: https://github.com/sethvargo/buff-ignore
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1
# BuildRequires: rubygem(cane) >= 2.6
# BuildRequires: rubygem(cane) < 3
# BuildRequires: rubygem(rspec) >= 2.13
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(spork) >= 0.9
# BuildRequires: rubygem(spork) < 1
BuildArch: noarch

%description
Parse ignore files with Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/buff-ignore.gemspec
%{gem_instdir}/spec

%changelog
* Sun Sep 12 2021 mockbuilder - 1.2.0-1
- Initial package
